commit b7df8f568197d95eafabe7f5263b1bb99048782a
Author: Alexander Lakhin <a.lakhin@postgrespro.ru>
Date:   Wed Oct 18 17:12:56 2017 +0300

    Fix get_locale() for Desktop mode

diff --git a/web/pgadmin/__init__.py b/web/pgadmin/__init__.py
index 975659a4..459a107e 100644
--- a/web/pgadmin/__init__.py
+++ b/web/pgadmin/__init__.py
@@ -242,13 +242,9 @@ def create_app(app_name=None):
         language = 'en'
         if config.SERVER_MODE is False:
             # Get the user language preference from the miscellaneous module
-            misc_preference = Preferences.module('miscellaneous', False)
+            misc_preference = Preferences('miscellaneous', None)
             if misc_preference:
-                user_languages = misc_preference.preference(
-                    'user_language'
-                )
-                if user_languages:
-                    language = user_languages.get() or language
+                language = misc_preference.get_raw_value('user_language') or language
         else:
             # If language is available in get request then return the same
             # otherwise check the session or cookie
diff --git a/web/pgadmin/utils/preferences.py b/web/pgadmin/utils/preferences.py
index c7127c95..9df41d1f 100644
--- a/web/pgadmin/utils/preferences.py
+++ b/web/pgadmin/utils/preferences.py
@@ -419,6 +419,14 @@ class Preferences(object):
 
         return None
 
+    def get_raw_value(self, preference):
+        cat = self.__category(self.name, None)
+        if cat:
+            pref = _Preference(cat['id'], preference, None, None, None)
+            if pref:
+                return pref.get()
+        return None
+
     @classmethod
     def preferences(cls):
         """
